<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * This is the batch front controller class for the Hard Hat Framework
 *
 * @package     hardhat_framework
 * @subpackage  classes
 * @author      Rod Johnson <rod@spellmansystems.com>
 *
 */

class sys_batch_controller {

	private $_request;

	/**
	 * This is the constructor for the batch front controller
	 *
	 * @return void
	 *
	 */
	public function __construct(){
		$this->_commands = sys_commands::getInstance();
	}

	/**
	 * This function will process the request for the batch front controller
	 *
	 *
	 * @return void
	 *
	 */
	public function processRequest($cmd,$argv) {
		$login = new core_user_bean();
		$commands = sys_commands::getInstance();
		while ($cmd != 'done') {
			$action = $commands->getBatchAction($cmd);
			if ($action == null) {
				echo "Invalid Batch transaction - Command not found: $cmd";
				return 'error';
			}
			$obj = $action->getActionClass();
			if ($obj != '' && class_exists($obj)) {
				$act = new $obj();
			} else {
				echo '>System Error - Undefined Batch Action '.$obj;
				exit;
			}
			$cmd = $act->perform($action, $argv, $login);
		}
	}

}