<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 * 
 * This file contains references to all the required classes from the system.
 */

 function topExceptionHandler($exception)  {
 		$feedback = new sys_feedback_bean();
 		$feedback->setMessage('Class Loader Error', $exception->getMessage());
 		$debug = callStack($exception->getTrace());
 		$feedback->setDebug($debug);
 		$feedback->setOriginalUrl($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
 		@$feedback->setReferrer ( $_SERVER ['HTTP_REFERER'] );
 		$registry = sys_registry::getInstance();
 		$registry->setEntry('core','feedback', $feedback);
 		$urlString = makeRelativeURL('error');
// 		echo $exception->getMessage()."<br /><pre>";
// 		echo $debug;
// 		exit;
 		header("Location: $urlString");
 		exit;
 			
/* 	
  echo "<b>Exception:</b> " , $exception->getMessage();
  var_dump_pre($exception);
*/  
 }

 set_exception_handler('topExceptionHandler');

 if (!defined('MODULE_PATH')) {
 	define('MODULE_PATH',  APPLICATION_PATH."/modules");
 } 
 if (!defined('EXTENSION_PATH')) {
 	define('EXTENSION_PATH',  SYSTEM_PATH."/extensions");
 } 
 if (!defined('SMARTY_PATH')) {
 	define('SMARTY_PATH',  CONFIG_PATH."/config/smarty");
 } 
 require_once(SYSTEM_PATH."/classes/sys_version.php");
 require_once(SYSTEM_PATH."/classes/sys_utilities.php");
 require_once(APPLICATION_PATH."/utilities/utilities.php");
 require_once(SYSTEM_PATH."/classes/sys_config.php");
 require_once(SYSTEM_PATH."/classes/sys_registry.php");
 require_once(SYSTEM_PATH."/Smarty_3.1.7/Smarty.class.php");
 define('SMARTY_TEMPLATE_DIR', APPLICATION_PATH."/templates");
 if (!defined('SMARTY_COMPILE_DIR')) {
	 define('SMARTY_COMPILE_DIR',  SMARTY_PATH."/templates_c");
 }
 define('SMARTY_CACHE_DIR',   SMARTY_PATH."/cache");
 define('SMARTY_CONFIG_DIR',   SMARTY_PATH."/config");
 
// used to insert special headers for rss for example
function insert_header($params)
{
   // this function expects $content argument
   if (empty($params['content'])) {
       return;
   }
   header($params['content']);
   return;
}

