<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * 
 * The database connector.  It uses database credentials stored in the config.ini file which
 * is accessed through the sys_config singleton object.
 *
 * @package     hardhat_framework
 * @subpackage  classes
 * @author      Rod Johnson
 * 
 */
class sys_connect_db {

    private $_host;
    private $_user;
    private $_database;
    private $_connection;

    public function __construct($action = 'connect') {
        $config = sys_config::getInstance();
        $host     = $config->getEntry('host');
        $database = $config->getEntry('database');
        $user     = $config->getEntry('user');
        $password = $config->getEntry('password');

        $this->_host = $host;
        $this->_user = $user;
        $this->_database = $database;
        $this->_connection = @mysql_connect($host, $user, $password);
        if (!$this->_connection) {
            throw new Exception("could not connect to server for host=$host, user=$user, database=$database");
            exit();
        }
        if ($action == 'connect') {
            if (!mysql_select_db($database)){
                throw new Exception("could not connect to database: \'$database\'");
                exit();
            }
        }
        if ($action == 'create') {
            $query="CREATE DATABASE IF NOT EXISTS $database";
            if (!mysql_query("$query")) {
                throw new Exception("could not create the \'$database\' database");
            }
        }
    }

    static public function getInstance($action = 'connect'){
        static $connect_instance;
        if (!isset($connect_instance)) {
            $connect_instance = new sys_connect_db($action);
        }
        return $connect_instance;
    }

    public function getConnection() {
        return $this->_connection;
    }

    public function getHost() {
        return $this->_host;
    }
    public function getUser() {
        return $this->_user;
    }
    public function getDatabase() {
        return $this->_database;
    }

}
