<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * 
 * The def object is a singleton that contains data from the definitions table.
 * It is loaded once at the begining of the transaction and is made available to
 * the presentation layer through the smarty variable $def
 *
 * @package     hardhat_framework
 * @subpackage  classes
 * @author      Rod Johnson
 * 
 */
class sys_def {

   private $_defs;


   static public function getInstance(){
      static $def_instance;
      if (!isset($def_instance)) {
         $def_instance = new sys_def();
      }
      return $def_instance;
   }

   private function __construct() {
      $this->_defs = array();

      $def_dao = new sys_def_dao();
      $this->_defs = $def_dao->loadDefs();
   }
   
 public function getDef($s) {
     if (!key_exists($s,$this->_defs)) return 'not defined';
     $defBean = $this->_defs[$s];
     return $defBean->getDescription();
 }
    public function getDefBean($s) {
     if (!key_exists($s,$this->_defs)) return null;
     return $this->_defs[$s];
 }
 
}