<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * 
 * The sys_edits Object is a singleton that contains data from the validation.xml file.  It is used to
 * define specific edits for validation.  Edits are used to validate data on both the client via jQuery
 * and on the server.  
 *
 * @package     hardhat_framework
 * @subpackage  classes
 * @author      Rod Johnson
 * 
 */
class sys_edits {

    private $_instance;
    private $_xml;


    static public function getInstance(){
        static $_instance;
        if (!isset($_instance)) {
            $_instance = new sys_edits();
        }
        return $_instance;
    }

    private function __construct() {
        $this->_xml = simplexml_load_file(CONFIG_PATH."/config/validation.xml");
        if (!$this->_xml) {
            throw new Exception ('unable to load validation.xml file');
        }
    }

    public function loadActiveEdits($name) {
        // get all the edits for a form
        $edits = $this->_xml->xpath('//validation/form[name="'.$name.'"]/edit');
        
        if (!$edits) {
        	return array();
//            throw new Exception ('couldn\'t find validation for form: '.$name.'  note: form name is case sensitive');
        }
        
        foreach ($edits as $edit) {
            $bean = new sys_edit_bean();
            foreach ($edit as $key => $val) {
                $bean->set($key,(string)$val);
            }
            $beans [] = $bean;
        }
        return $beans;
                        
    }
   
}