<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

require_once 'classes/browser/hdbase.php';
 
/**
 * This class is used to determine if the user is using a mobile phone
 * 
 * @package     hardhat_framework
 * @subpackage  classes
 * @author      Rod Johnson
 * 
 */
class sys_handset_detect {

    protected $_display = array();
    protected $_isMobile = false;
    protected $_hd;
    
    public function __construct() {
        $hd = new HandsetDetection();
        $hd->detectInit();
        $ret = $hd->detect('display');
        if ($ret) {
            $data = $hd->getDetect();
            if ($data['message'] == "Not Found") {
                $this->_isMobile = false;
            } else {
                $this->_isMobile = true;
                $this->_display = $data['display'];
            }
        }
    }

    public function isMobile() {
        return $this->_isMobile;
    }
    
    public function getDisplay() {
        return $this->_display;
    }
    
}