<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * 
 * This module is primarily used to scrap images and links from a Craig's List ad.
 *
 * @package     hardhat_framework
 * @subpackage  classes
 * @author      Rod Johnson
 * 
 */

class sys_scraper extends sys_base_bean {

	public function __construct($uri) {
		parent::__construct();
		$this->setMarkup(file_get_contents($uri));
	}

	public function getImages() {
		$markup = $this->getMarkup();
		if (!empty($markup)){
            $markup = str_replace('><', "/>\n <", $markup);
			$pattern = "/src=[\"']?([^\"']?.*(png|jpg|gif))[\"']?/i";
			preg_match_all($pattern, $markup, $images);
			
			return !empty($images[1]) ? $images[1] : FALSE;
		}
	}

	public function getLinks() {
		$markup = $this->getMarkup();
		if (!empty($markup)){
			preg_match_all('/<a([^>]+)\>(.*?)\<\/a\>/i', $markup, $links);
			return !empty($links[1]) ? $links[1] : FALSE;
		}
	}
}
