<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * 
 * This is the base class for ajax actions for the Hard Hat Framework
 *
 * This class is meant to be extended in the application to handle ajax action requests.  Ajax actions
 * may be either get or post transactions, and are identified by having ajax in the first node of the url.
 * For example: www.example.com/ajax/get/user/userid=5.
 * 
 *
 * @package     hardhat_framework
 * @subpackage  controller
 * @author      Rod Johnson
 * 
 */
class sys_ajax_action  
{
	protected $_request;
	protected $_registry;
	protected $_config;
	protected $_admin;
	protected $_statusStr;
	protected $_codes;
	protected $_userName;
	protected $_tab_page;

	// ---------------------------------------------------- constructor
	public function __construct(){
		$this->_request   = sys_request::getInstance();
		$this->_registry = sys_registry::getInstance();
		$this->_config   = sys_config::getInstance();
		$this->_codes    = sys_codes::getInstance();
	}
	// ---------------------------------------------------- perform
	public function perform($action,$feedback,&$login,$cmd){
		$smarty = new Smarty;
		$smarty->compile_check = true;
		$smarty->debugging = false;
		$smarty->setTemplateDir(SMARTY_TEMPLATE_DIR);
		$smarty->setCompileDir(SMARTY_COMPILE_DIR);
		$smarty->setCacheDir(SMARTY_CACHE_DIR);
		$smarty->setConfigDir(SMARTY_CONFIG_DIR);
        $loggedIn = $this->_registry->getLoggedIn();
		$this->_admin = $login->getAdmin();
		$userName = $login->getUserName();
		$className = get_class($this);
		$this->_userName = $login->getUserName();
		$config = $this->_config->getConfig();
		foreach ($config as $key => $val) {
			if ($key != 'password') {
				$smarty->assign($key, $val);
			}
		}		
		$smarty->assign('jquery', 'Y');
		$smarty->assign('loggedIn', $loggedIn);
		$smarty->assign('userName', $login->getUserName());
		$smarty->assign('admin', $this->_admin);
		$smarty->assign("cmd",$cmd);
		$smarty->assign("className",$className);
		$smarty->assign("action",$action);
		$smarty->assign("application_path", APPLICATION_PATH);
		$this->prepareTemplate($action,$feedback,$smarty,$login);

		return $this->displayTemplate ($action,$feedback,$smarty,$login);
	}
	public function displayTemplate($action,$feedback,$smarty,&$login){
		$smarty->display($action->getTemplate());
		return 'done';
	}
	public function prepareTemplate($action,$feedback,$smarty,&$login){
		return;
	}



}
