<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

/**
 * This is the base class for batch actions for the Hard Hat Framework
 * 
 * This class is meant to be extended in the application to handle batch action requests.  Batch
 * actions are used to process command line functions such as cron scripts
 *
 * @package     hardhat_framework
 * @subpackage  controller
 * @author      Rod Johnson
 * 
 */
class sys_batch_action
{
	protected $_config;

	// ---------------------------------------------------- constructor
	public function __construct(){
		$this->_config   = sys_config::getInstance();
	}
	// ---------------------------------------------------- perform
	public function perform($action,$argv,$login){
		$className = get_class($this);
		$config = $this->_config->getConfig();
		$this->prepareBatch($action,$argv,$login);
		try {
			return $this->processBatch($action,$argv,$login);
		}
		catch (exception $e) {
			echo 'batch error ('.$className.'): '.$e->getMessage();
			var_dump($action);
			var_dump($e);
			exit;
		}
	}
	 
	public function getLoggedIn() {
		return $this->_loggedIn;
	}
	public function processBatch($action,$argv,$login){
		return 'done';
	}
	public function prepareBatch($action,$argv,$login){
		return;
	}



}
