<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

class sys_def_dao extends sys_base_pdo_dao
{

	// ---------------------------------------------------- constructor
	public function __construct(){
		parent::__construct('def', 'sys_def_bean');
	}

	public function loadDefs(){
		$defs = array();
		$beans = $this->loadBeans("1=1");
		foreach ($beans as $bean) {
			$defs[$bean->getDefName()] = $bean;
		}
		return $defs;
	}

	public function loadDef($name){
		$bean = $this->loadBean("defName = '$name'");
		if ($bean == null) {
			$bean = new sys_def_bean();
			$bean->setDescription('definition not found');
			$bean->setComments('definition not found');
			$bean->setDefName($defName);
		}	
		return $bean;
	}

}