<?php
/**
 * Hardhat Framework
 *
 * An open source application development framework for PHP 5.2 or newer
 *
 * @package     hardhat_framework
 * @author		Rod Johnson
 * @copyright	Copyright (c) 2008 - 2012, Spellman Systems LLC
 * @license		http://hardhatframework.com/doc/license
 * @link		http://hardhatframework.com
 */

class sys_feedback_bean extends sys_base_bean {

   private $_errors;
   private $_msg;
   private $_type;  // E=Error or M=Message

   public function __construct() {

      $this->_errors                 = array();
      $this->_msg                    = '';
      $this->_type                   = 'M';
   }

   public function clear(){
      $this->_errors                 = array();
      $this->_msg                    = '';
      $this->_type                   = 'M';
   }
    
   public function getErrors() {
      return $this->_errors;
   }
   public function getMsg() {
      return $this->_msg;
   }
   public function getType() {
      return $this->_type;
   }

   public function setErr($msg) {
      $err = new sys_error_bean($msg);
      $this->_errors [] = $err;
      $this->_type = 'E';
   }
   public function setErrors($s) {
      $this->_errors = $s;
   }
   public function setMsg($s,$type=null) {
      $this->_msg = $s;
      if ($type != null) {
         $this->_type = $type;
      }
   }
   public function setType($s) {
      $this->_type = $s;
   }
   public function setError($s) {
      $this->_type = 'E';
      $this->_msg = $s;
   }
   public function setMessage($msg,$error,$type='E') {
      $this->_msg = $msg;
      $err = new sys_error_bean($error);
      $this->_errors [] = $err;
      $this->_type = $type;
   }
   public function cntErrors() {
      return count($this->_errors);
   }
}