<?php
class core_user_dao extends core_base_dao
{

	// ---------------------------------------------------- constructor
	public function __construct(){
		parent::__construct('users', 'core_user_bean', 'user_view');
	}

	public function loadUserByName($userName) {
		return $this->loadBean("userName ='".$userName."'");
	}

    public function loadUserById($userId) {
        return $this->loadBean("id =".$userId);
    }
    
	public function loadUsers($criteria,$orderby = 'id') {
		return $this->loadBeans($criteria,$orderby);
	}
	 
	public function saveUser(core_user_bean $user, core_user_bean $login) {
		return $this->saveBean($user,$login);
	}

	public function insertUser(core_user_bean $user, core_user_bean $login) {
		return $this->insertBean($user,$login);
	}

    public function updateUser(core_user_bean $user, core_user_bean $login) {
        return $this->saveBean($user,$login);
    }
    
    public function deleteUser($userId) {
        return $this->deleteBean($userId);
    }
    
    public function deleteUsersByAccount($accountId) {
        return $this->deleteBeans("accountId = $accountId");
    }
    
	public function userExists($UserName){
		$userName = fmtString($UserName);
		$user = $this->loadBean("userName = $userName");
		return $user == null ? false : true;
	}
	public function createUserName($emailAddress) {
		$em = $emailAddress;
		$stub = snip($em,'@');
		$userName = $stub;
		$cnt = 0;
		while ($this->userExists($userName)) {
		   $cnt++;
		   $userName = $stub.$cnt;
		}
		return $userName;
	}
}
